rem
rem   This is the batch file used to upgrade the workstaton from NETX
rem   to VLMS.
rem
rem   It could also be used to upgrade a VLM workstation to the latest
rem   files...  though, normally, this is done thru STARTUPU.BAT file.
rem
rem

h:\public\autoexec\nlogevt b h:\public\robot\inbound\vlm-ins.txt

echo Checking for incorrectly placed files.
rem  The standard Windows 3.1 diskette install places files in the 
rem     c:\windows and c:\windows\system subdirectory that consumes 
rem     diskspace and may cause problems later.
rem  If you have the same filename located in numerous subdirectories
rem     you are asking for trouble.

IF EXIST C:\WINDOWS\NETWARE.DRV  DEL c:\windows\NETWARE.DRV
IF EXIST C:\WINDOWS\NWPOPUP.EXE  DEL c:\windows\NWPOPUP.EXE
IF EXIST C:\WINDOWS\NWNETAPI.DLL DEL c:\windows\NWNETAPI.DLL
IF EXIST C:\WINDOWS\NWPSERV.DLL  DEL c:\windows\NWPSERV.DLL
IF EXIST C:\WINDOWS\NWIPXSPX.DLL DEL c:\windows\NWIPXSPX.DLL
IF EXIST C:\WINDOWS\NWCALLS.DLL  DEL c:\windows\NWCALLS.DLL
IF EXIST C:\WINDOWS\NETAPI.DLL   DEL c:\windows\NETAPI.DLL
IF EXIST C:\WINDOWS\CTL3D.DLL    DEL c:\windows\CTL3D.DLL
IF EXIST C:\WINDOWS\VIPX.386     DEL c:\windows\VIPX.386
IF EXIST C:\WINDOWS\VNETWARE.386 DEL c:\windows\VNETWARE.386
IF EXIST C:\WINDOWS\NWNET.DLL    DEL c:\windows\NWNET.DLL
IF EXIST C:\WINDOWS\NWPSRV.DLL   DEL c:\windows\NWPSRV.DLL
IF EXIST C:\WINDOWS\NWLOCALE.DLL DEL c:\windows\NWLOCALE.DLL
IF EXIST C:\WINDOWS\NETWARE.HLP  DEL c:\windows\NETWARE.HLP
IF EXIST C:\WINDOWS\NWPSERV.DLL  DEL c:\windows\NWPSERV.DLL

IF EXIST C:\WINDOWS\system\ipx.obj      DEL c:\windows\system\ipx.obj
IF EXIST C:\WINDOWS\system\lsl.com      DEL c:\windows\system\lsl.com
IF EXIST C:\WINDOWS\system\ipxodi.com   DEL c:\windows\system\ipxodi.com
IF EXIST C:\WINDOWS\system\netx.com     DEL c:\windows\system\netx.com

IF EXIST C:\WINDOWS\system\tbmi.com     DEL c:\windows\system\tbmi.com
IF EXIST C:\WINDOWS\system\tbmi2.com    DEL c:\windows\system\tbmi2.com
IF EXIST C:\WINDOWS\system\taskid.com   DEL c:\windows\system\taskid.com

rem
rem  Newer mouse drivers are MOUSE.EXE.  If you leave the older MOUSE.COM
rem  around, the newer MOUSE.EXE is never called.
rem  (execution order is:  .COM, .EXE, then .BAT)
rem
IF EXIST C:\WINDOWS\system\mouse.com    DEL c:\windows\system\mouse.com

if exist c:\net\*.msg                   DEL c:\net\*.msg

IF EXIST C:\windows\NETWARER.DRV        DEL c:\windows\NETWARER.DRV
IF EXIST C:\windows\system\NETWARER.DRV DEL c:\windows\system\NETWARER.DRV

rem  We don't have Personal Netware so delete the file so that it can't
rem    be executed.
if exist c:\net\pnw.vlm                 del c:\net\pnw.vlm

ECHO .
ECHO .      Install new VLM drivers on workstation
ECHO .

h:\public\robot\ndisk c
if errorlevel 3 goto cont

rem  Below is for Intel's LanSight.
h:\public\autoexec\user >nul
cls
h:\public\robot\ndisk c                                                       

echo . ====================================================================== .
echo . ====================================================================== .
echo .                                                                        .
echo .      There is insufficient diskspace on your C: drive to login !       .
echo .                                                                        .
echo .      Please delete old and obsolete files !                            .
echo .      There must be at least 3 megabytes of available diskspace.        .
echo .                                                                        .
echo .      Contact your IS coordinator if you need help deleting obsolete    .
echo .      files.  Contact Walter Haltom (HelpDesk) 749-3500 if necessary.   .
echo .                                                                        .
echo . ====================================================================== .
echo . ====================================================================== .

h:\public\robot\nlogmsg h:\public\robot\inbound\vlm-bad.txt "Insufficient Diskspace" /P
h:\public\robot\nsend "%name%" "helpdesk@dart" "< 3 meg on C: drive. VLM install aborted" NONE
goto end

:cont
C:
cd \
attrib config.sys -r
h:\public\autoexec\nchkcsys 60 10 2048 Z
cd \net
if not exist net.sav copy net.cfg net.sav
if not exist netvlm.sav copy net.cfg netvlm.sav
cd \
H:

if exist c:\net.bat attrib c:\net.bat -r
if exist c:\net.bat del c:\net.bat 

attrib c:\@@UTL\net.bat -r
attrib c:\net\*.* -r

ncopy h:\public\robot\outbound\vlm\net\net.bat    c:\@@UTL /v
ncopy h:\public\robot\outbound\vlm\net\nethog.bat c:\@@UTL /v

md c:\windows
ncopy h:\public\robot\outbound\vlm\windows\*.*          c:\windows /s/e/v

if exist c:\windows\netwarer.drv del c:\windows\netwarer.drv
if exist c:\windows\system\netwarer.drv del c:\windows\system\netwarer.drv
if exist c:\windows\nls\english\netwarer.drv del c:\windows\nls\english\netwarer.drv

md c:\net
ncopy h:\public\robot\outbound\vlm\net\*.*              c:\net /s/e/v

h:\public\autoexec\nlogevt e h:\public\robot\inbound\vlm-ins.txt

copy h:\public\robot\outbound\vlm\version.* c:\net
set NOLOGIN=Y

ECHO .     
ECHO .      Installation appears to have been successfull
ECHO .     

:END







